import java.util.Scanner;

public class Main {
    public static void main(String[] args) {
        Scanner sc = new Scanner(System.in);
        int brojS = sc.nextInt();
        int[] visinaS = new int[brojS];
        int visinaP = sc.nextInt();
        for (int i = 0; i < brojS; i++) 
        {
            visinaS[i] = sc.nextInt();
        }
        int visinaP = sc.nextInt();
        for (int i = 0; i < brojS; i++) 
        {
            if (visinaP >= visinaS[i]) 
            {
                rezultat = i + 1;
                break;
            }
        }
        System.out.println(rezultat);
    }
}